Subject: Re: regression test failed

From: Tatsuo Ishii <[email-masked]>
Date: Fri, 08 Apr 1994 11:50:21 +0900

>> > Query sent to backend is "replace temp (stringu1 = reverse_c16(o.stringu1))
>     from o in onek     where o.stringu1 = "JBAAAA" and 	  o.stringu1 = 
>temp.stringu1 "
>> > WARN:Feb 21 12:04:28:Load of file /sd2g/prj/postgres/src/regress/regress/ob
>j/../obj/regress.o failed: link failed!
>> So did I.  Anybody care to explain why this happens.
>
>this can happen for any number of reasons, generally having to
>do with your environment.  one is running out of link space in 
>/tmp.  the more common one is broken file permissions (the 
>postgres user must be able to access that file, meaning you 
>should be able to "su postgres" (or whoever the postmaster is 
>running as), cd to that directory and (e.g.) "cat" the .o file.

However, following query completed successfully. This means that
dynamic loading of regress.o is ok, I guess.

Query sent to backend is " load "/sd2g/prj/postgres/src/regress/regress/obj/../obj/regress.o" "
LOAD
Go 
--
Tatsuo Ishii

---

From: [email-masked] (Paul M. Aoki)
Date: Thu, 07 Apr 94 20:06:24 -0700

> Query sent to backend is " load "/sd2g/prj/postgres/src/regress/regress/obj/.
./obj/regress.o" "

well, the "load" and the on-demand (from inside a query) dynamic 
loading code call exactly the same routines to do the dirty work.

"ld -A" incremental linking uses an amount of /tmp space at least
as large as your postgres binary.  that's one reason why it was
jettisoned in favor of the dlopen(3) interface (which we were 
finally able to do after andrew yu wrote a very slick and very
fast dynamic loading package for ultrix..).
--
  Paul M. Aoki  |  CS Div., Dept. of EECS, UCB  |  [email-masked]
                |  Berkeley, CA 94720           |  ...!uunet!ucbvax!aoki